Bug 26155 - New port: security/py-m2crypto
Summary: New port: security/py-m2crypto
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2001-03-27 22:00 UTC by Peter Haight
Modified: 2001-03-31 03:10 UTC (History)
0 users

See Also:


Attachments
file.shar (8.63 KB, text/plain)
2001-03-27 22:00 UTC, Peter Haight
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Haight 2001-03-27 22:00:02 UTC
Here's a port of M2Crypto v0.06-snap3 which is a Python wrapper for OpenSSL.

It makes accessible to the Python programmer the following:

    - DH, RSA, DSA, symmetric ciphers, message digests, HMACs.
    - SSL functionality to implement clients and servers.
    - S/MIME v2.

WWW: http://www.post1.com/home/ngps/m2/
Comment 1 Will Andrews 2001-03-31 02:50:22 UTC
On Fri, Mar 30, 2001 at 05:51:56PM -0800, will@FreeBSD.org wrote:
> Committed, thanks.  I made numerous cleanups on your Makefile, and
> in general I think the port is much cleaner now.  In particular, I
> took advantage of [pre,post]-build, PLIST_SUB, and ${TMPPLIST}.

Also, I put this port in the security category, because it's a wrapper
for OpenSSL, which is in the same category.

--=20
wca
Comment 2 Will Andrews freebsd_committer 2001-03-31 02:50:50 UTC
State Changed
From-To: open->closed

Committed, thanks.  I made numerous cleanups on your Makefile, and 
in general I think the port is much cleaner now.  In particular, I 
took advantage of [pre,post]-build, PLIST_SUB, and ${TMPPLIST}.
Comment 3 Peter Haight 2001-03-31 03:09:25 UTC
>On Fri, Mar 30, 2001 at 05:51:56PM -0800, will@FreeBSD.org wrote:
>> Committed, thanks.  I made numerous cleanups on your Makefile, and
>> in general I think the port is much cleaner now.  In particular, I
>> took advantage of [pre,post]-build, PLIST_SUB, and ${TMPPLIST}.
>
>Also, I put this port in the security category, because it's a wrapper
>for OpenSSL, which is in the same category.

All good changes. Thanks.